# This file represents the base specification of your challenge. It is used by
# other tools to install and deploy your challenge.

# Required sections
name: "reverseme"
author: "iagox86"
category: "bsides"
description: "This is like `runme`, but with a twist! Can you figure out what it is? "
value: 1000
type: container

# Settings used for Dockerfile deployment
# If not used, remove or set to null
# If you have a Dockerfile set to .
# If you have an imaged hosted on Docker set to the image url (e.g. python/3.8:latest, registry.gitlab.com/python/3.8:latest)
# Follow Docker best practices and assign a tag
image: 
# Specify a host to deploy the challenge onto.
# The currently supported URI schemes are ssh:// and registry://
# ssh is an ssh URI where the above image will be copied to and deployed (e.g. ssh://root@123.123.123.123)
# registry is a Docker registry tag (e.g registry://registry.example.com/test/image)
# host can also be specified during the deploy process: 
host: 

# Can be removed if unused
attempts: 0

# Flags specify answers that your challenge use. You should generally provide at least one.
# Can be removed if unused
# Accepts strings or dictionaries of CTFd API data
flags:
    - 'CTF{me_reverse}'

# Topics are used to help tell what techniques/information a challenge involves
# They are generally only visible to admins
# Accepts strings
topics:


# Tags are used to provide additional public tagging to a challenge
# Can be removed if unused
# Accepts strings
tags:
  - Pwn

# Provide paths to files from the same directory that this file is in
# Accepts strings
files:


# The state of the challenge.
# If the field is omitted, the challenge is visible by default.
# If provided, the field can take one of two values: hidden, visible.
state: visible

# Specifies what version of the challenge specification was used.
# Subject to change until ctfcli v1.0.0
version: "0.1"

extra:
        initial: 500
        decay: 100
        minimum: 50

        challenge_type: web
        compose: | 
            version: '3.3'

            services:
              bsides-sf-2021-reverseme:
                container_name: bsides-sf-2021-reverseme
                image: 
                ports:
                  - 1339
                labels:
                  kompose.service.type: nodeport
